Page MenuHomePhabricator

Figure out if no.wikipedia.org wants UCA
Closed, ResolvedPublic

Description

Norwegian Wikipedia have asked for numerical sorting. They're currently not using UCA. Do they want to, or keep current system, just with numerical sorting?

Village Pump discussion for numerical sorting.

Event Timeline

Johan created this task.Oct 18 2016, 1:37 AM
Restricted Application added a project: User-Johan. · View Herald TranscriptOct 18 2016, 1:37 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Qgil added a subscriber: Qgil.Oct 18 2016, 7:01 AM

Just curious, what is UCA?

Johan updated the task description. (Show Details)Oct 18 2016, 9:46 AM
Johan updated the task description. (Show Details)Oct 18 2016, 10:11 AM
Johan updated the task description. (Show Details)

Not a lot of people having opinions, but at least no one seems to protest against the idea.

Johan closed this task as Resolved.Oct 24 2016, 11:13 AM
Johan added a subscriber: kaldari.
Qgil awarded a token.Oct 24 2016, 2:58 PM

Mentioned in SAL (#wikimedia-operations) [2016-10-24T23:24:40Z] <dereckson@mira> Synchronized wmf-config/InitialiseSettings.php: Set collation to uca-no-u-kn on no.wikipedia (146675, T148488) (duration: 00m 50s)

uca-nb-u-kn would probably be more technically correct, as I believe that nowiki is actually nb content (no as a language code specifies both nb and nn languages). However, it looks like libicu is handling that ok anyhow, so it probably doesn't matter.

Johan moved this task from Backlog to Archive on the User-Johan board.Jul 26 2017, 3:27 AM
Restricted Application added a subscriber: jhsoby. · View Herald TranscriptJul 26 2017, 3:27 AM